<script setup>
import PButton from '../atoms/PButton.vue';
import PHeroText from '../atoms/PHeroText.vue';
import PHeroTitle from '../atoms/PHeroTitle.vue';
import PLogo from '../atoms/PLogo.vue';
import { useRouter } from 'vue-router';
import { gsap } from 'gsap';
import ScrollToPlugin from 'gsap/ScrollToPlugin';

const router = useRouter();

gsap.registerPlugin(ScrollToPlugin);

function startTour() {
  gsap.to(window, { duration: 1, scrollTo: '0' });
  router.push('/planet?name=mercury');
}
</script>

<template>
  <div class="hero">
    <PLogo class="hero__logo"></PLogo>
    <PHeroTitle></PHeroTitle>
    <PHeroText></PHeroText>
    <PButton @click.prevent="startTour()">Start!</PButton>
  </div>
</template>

<style scoped lang="scss">
.hero {
  @include responsive-value('margin-top', 5);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  position: relative;

  &__logo {
    margin-top: 12rem;
    width: 60%;
    height: 60%;

    @include small-up {
      margin-top: 2rem;
      width: 30%;
      height: 30%;
    }
  }
}
</style>
